Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.instance
Class AbstractInstanceDefinition

    java.lang.Object
      org.jboss.portal.core.impl.model.instance.AbstractInstance
          org.jboss.portal.core.impl.model.instance.AbstractInstanceDefinition

All Implemented Interfaces:
  Instance, InstanceDefinition

    public abstract class AbstractInstanceDefinition

extends AbstractInstance
implements InstanceDefinition

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Field Summary
`protected static org.apache.log4j.Logger` | `log` The logger.

Fields inherited from class org.jboss.portal.core.impl.model.instance.AbstractInstance
`portletContext, portletRef, state`

Fields inherited from interface org.jboss.portal.core.model.instance.Instance
`INSTANCE_ID_ATTRIBUTE`

Constructor Summary
`AbstractInstanceDefinition()`

Method Summary
`protected void` | `cloned(org.jboss.portal.portlet.PortletContext portletContext)`
`protected org.jboss.portal.portlet.state.AccessMode` | `getAccessMode()`
`abstract java.util.Collection` | `getCustomizations()`
`protected org.apache.log4j.Logger` | `getLogger()`
`protected AbstractInstanceDefinition` | `getOwner()`
`abstract java.util.Set` | `getSecurityBindings()`

Methods inherited from class org.jboss.portal.core.impl.model.instance.AbstractInstance
`destroyCustomization, getContainer, getContainerContext, getCustomization, getDefinition, getInstanceId, getPortlet, getPortletContext, getPortletRef, getProperties, getProperties, getState, invoke, isModifiable, isMutable, modified, setMutable, setPortletRef, setProperties, setState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.core.model.instance.InstanceDefinition
`getId, isModifiable`

Methods inherited from interface org.jboss.portal.core.model.instance.Instance
`destroyCustomization, getContainer, getCustomization, getDisplayName, getPortlet, getProperties, getProperties, invoke, setDisplayName, setProperties`

Field Detail

### log

    protected static final org.apache.log4j.Logger log

  The logger.

Constructor Detail

### AbstractInstanceDefinition

    public AbstractInstanceDefinition()

Method Detail

### getCustomizations

    public abstract java.util.Collection getCustomizations()

### getSecurityBindings

    public abstract java.util.Set getSecurityBindings()

### getAccessMode

    protected final org.jboss.portal.portlet.state.AccessMode getAccessMode()

  Specified by:
    `getAccessMode` in class `AbstractInstance`

### getLogger

    protected final org.apache.log4j.Logger getLogger()

  Specified by:
    `getLogger` in class `AbstractInstance`

### cloned

    protected final void cloned(org.jboss.portal.portlet.PortletContext portletContext)

  Specified by:
    `cloned` in class `AbstractInstance`

### getOwner

    protected final AbstractInstanceDefinition getOwner()

  Specified by:
    `getOwner` in class `AbstractInstance`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD